<!DOCTYPE html>
<html>
<head>
  <style>
    #box {
      text-align: center;
    }

    #circles {
      width: 200px;
      height: 200px;
      margin: 50px 0 0 180px;
      position: relative;
    }

    .yellowcircle {
      width: 150px;
      height: 150px;
      position: absolute;
      top: 5px;
      left: 0;
    }

    .greencircle {
      width: 150px;
      height: 150px;
      position: absolute;
      top: 5px;
      left: 450px;
    }

    .box {
      width: 80px;
      height: 80px;
      position: absolute;
      top: 25px;
      left: 30px;
      z-index: 10;
    }
  </style>
</head>

<body onload="getMyLocation()">
  <section id="box">

    <!-- SVG Circles -->
    <section id="circles">
      <section class="yellowcircle">
        <svg width="200" height="200">
          <circle cx="80" cy="80" r="75" stroke="yellow" fill="yellow"></circle>
        </svg>
        <section id="overlap" class="box" ondrop="drop(event)" ondragover="droppableSVG(event)"></section>
      </section>
      <section class="greencircle">
        <svg width="200" height="200">
          <circle cx="80" cy="80" r="75" stroke="green" fill="green"></circle>
        </svg>
        <section id="overlap" class="box" ondrop="drop(event)" ondragover="droppableSVG(event)"></section>
      </section>
    </section>

    <!-- Text and GIFs -->
    <p><strong>Drag the gif to the svg circles</strong></p>
    <p id="viewCoordinates"></p>
    <img id="draggedgif" alt="gif" src="https://cdn.lowgif.com/full/f66397c8ce29ae1f-the-gallery-for-the-flash-animated-gif.gif" draggable="true" ondragstart="drag(event)" width="100" height="100" />

    <script>
      function droppableSVG(ev) {
        ev.preventDefault();
      }

      function drag(ev) {
        ev.dataTransfer.setData("gif", ev.target.id);
      }

      function drop(ev) {
        ev.preventDefault();
        var data = ev.dataTransfer.getData("gif");
        ev.target.appendChild(document.getElementById(data));
      }

      function getMyLocation() {
        if (navigator.geolocation) {
          if (localStorage.getItem("Latitude") && localStorage.getItem("Longitude")) {
            var latitude = localStorage.getItem("Latitude");
            var longitude = localStorage.getItem("Longitude");
            coords.innerHTML = "Latitude: " + latitude + "<br>Longitude: " + longitude;
          }
          else
            navigator.geolocation.getCurrentPosition(showPosition, showError);
        }
        else {
          coords.innerHTML = "Geolocation is not supported by the browser";
        }
      }

      var coords = document.getElementById("viewCoordinates");

      function showPosition(position) {
        var latitude = position.coords.latitude;
        var longitude = position.coords.longitude;
        coords.innerHTML = "Latitude: " + latitude + "<br>Longitude: " + longitude;
        localStorage.setItem("Latitude", latitude);
        localStorage.setItem("Longitude", longitude);
      }
       
      function showError(error) {
        switch (error.code) {
          case error.TIMEOUT:
            x.innerHTML = "Oops! The request to get user location timed out."
            break;
          case error.PERMISSION_DENIED:
            x.innerHTML = "It seems user has denied the request for Geolocation."
            break;
          case error.POSITION_UNAVAILABLE:
            x.innerHTML = "Aw Snap! Location information is unavailable."
            break;
          case error.UNKNOWN_ERROR:
            x.innerHTML = "An unknown error occurred."
            break;
        }
      }
    </script>
</body>

</html>